# org.pdfclown.files.File Class Reference

PDF file representation. More...

List of all members.

## Classes
class | ConfigurationImpl
| File configuration. More...
class | ImplicitContainer
## Public Member Functions
void | Dispose ()
| File (IInputStream stream)
| File (string path)
| File ()
override int | GetHashCode ()
PdfReference | Register (PdfDataObject obj)
| Registers an internal data object.
void | Save (IOutputStream stream, SerializationModeEnum mode)
| Serializes the file to the specified stream.
void | Save (string path, SerializationModeEnum mode)
| Serializes the file to the specified file system path.
void | Save (SerializationModeEnum mode)
| Serializes the file to the current file-system path.
void | Save ()
| Serializes the file to the current file-system path using the standard serialization mode.
void | Unregister (PdfReference reference)
| Unregisters an internal object.
## Properties
Cloner | Cloner`[get, set]`
| Gets/Sets the default cloner.
ConfigurationImpl | Configuration`[get]`
| Gets the file configuration.
Document | Document`[get]`
| Gets the high-level representation of the file content.
FileIdentifier | ID`[get]`
| Gets the identifier of this file.
IndirectObjects | IndirectObjects`[get]`
| Gets the indirect objects collection.
string | Path`[get, set]`
| Gets/Sets the file path.
Reader | Reader`[get]`
| Gets the data reader backing this file.
PdfDictionary | Trailer`[get]`
| Gets the file trailer.
Version | Version`[get]`
| Gets the file header version [PDF:1.6:3.4.1].

##

PDF file representation.

## Constructor & Destructor Documentation

org.pdfclown.files.File.File | ( |  | ) |

org.pdfclown.files.File.File | ( | string | path | ) |

org.pdfclown.files.File.File | ( | IInputStream | stream | ) |

## Member Function Documentation

void org.pdfclown.files.File.Dispose | ( |  | ) |

override int org.pdfclown.files.File.GetHashCode | ( |  | ) |

Referenced by org.pdfclown.objects.PdfIndirectObject.GetHashCode().

PdfReference org.pdfclown.files.File.Register | ( | PdfDataObject | obj | ) |

Registers an internal data object.

void org.pdfclown.files.File.Save | ( | IOutputStream | stream,
|  | SerializationModeEnum | mode |
| ) |  |  |

Serializes the file to the specified stream.

It's caller responsibility to close the stream after this method ends.

Parameters:

  | stream | Target stream.
  | mode | Serialization mode.

References org.pdfclown.tokens.Writer.Write().

void org.pdfclown.files.File.Save | ( | string | path,
|  | SerializationModeEnum | mode |
| ) |  |  |

Serializes the file to the specified file system path.

Parameters:

  | path | Target path.
  | mode | Serialization mode.

void org.pdfclown.files.File.Save | ( | SerializationModeEnum | mode | ) |

Serializes the file to the current file-system path.

Parameters:

  | mode | Serialization mode.

void org.pdfclown.files.File.Save | ( |  | ) |

Serializes the file to the current file-system path using the standard serialization mode.

References org.pdfclown.files.File.Save().

Referenced by org.pdfclown.files.File.Save().

void org.pdfclown.files.File.Unregister | ( | PdfReference | reference | ) |

Unregisters an internal object.

References org.pdfclown.objects.PdfReference.ObjectNumber.

## Property Documentation

Cloner org.pdfclown.files.File.Cloner`[get, set]`

Gets/Sets the default cloner.

Referenced by org.pdfclown.files.IndirectObjects.AddExternal(), and org.pdfclown.objects.PdfObject.Clone().

ConfigurationImpl org.pdfclown.files.File.Configuration`[get]`

Gets the file configuration.

Referenced by org.pdfclown.objects.PdfReal.WriteTo().

Document org.pdfclown.files.File.Document`[get]`

Gets the high-level representation of the file content.

Referenced by org.pdfclown.tokens.Writer.Get(), org.pdfclown.files.FileIdentifier.Update(), and org.pdfclown.documents.contents.fonts.Font.Wrap().

FileIdentifier org.pdfclown.files.File.ID`[get]`

Gets the identifier of this file.

IndirectObjects org.pdfclown.files.File.IndirectObjects`[get]`

Gets the indirect objects collection.

Referenced by org.pdfclown.objects.PdfIndirectObject.Delete(), org.pdfclown.tools.Optimizer.RemoveOrphanedObjects(), and org.pdfclown.objects.PdfIndirectObject.Uncompress().

string org.pdfclown.files.File.Path`[get, set]`

Gets/Sets the file path.

Referenced by org.pdfclown.files.FileIdentifier.Update().

Reader org.pdfclown.files.File.Reader`[get]`

Gets the data reader backing this file.

Returns:

      null

  in case of newly-created file.

PdfDictionary org.pdfclown.files.File.Trailer`[get]`

Gets the file trailer.

Referenced by org.pdfclown.tools.Optimizer.RemoveOrphanedObjects().

Version org.pdfclown.files.File.Version`[get]`

Gets the file header version [PDF:1.6:3.4.1].

This property represents just the original file version; to get the actual version, use the Document.Version method.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.